Subject: Bug#512: [X2Go-Dev] Bug#512: Bug#512: Fwd: Re: Bug#512: Bug#512: Bug#448: Bug#512: Auto log-in (ssh-agent) doesn't work since 4.0.1.2

From: Stefan Baur <[email-masked]>
Date: Wed, 16 Jul 2014 12:09:12 +0200

Am 16.07.2014 12:03, schrieb Ilia Shakitko:
> Hi Stefan,
> 
> Thx for explanation. Well, this config was taken from the old version
> (where either you DO two actions, or it won't work).
> 
> Now it works!

That can't really be. I have used 4.0.0.3 with my customers, who all use
Pageant, and they only have the checkbox checked, no keyfile specified.

My guess is that the old version simply tried SSH auth agent first, and
once it found a running agent, never bothered to check if there's a file
specified. So you could have specified C:\barak_obamas_pajamas.docx as
keyfile and it would still have worked.

I think I remember that we had a feature request to try multiple things
for ssh auth, so that may have brought that along when it was implemented.

-Stefan